## org.apache.lucene.analysis.payloads
Class DelimitedPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilter

    public final class DelimitedPayloadTokenFilter

extends org.apache.lucene.analysis.TokenFilter

Characters before the delimiter are the "token", those after are the payload.

For example, if the delimiter is '|', then for the string "foo|bar", foo is the token and "bar" is a payload.

Note, you can also include a `PayloadEncoder` to convert the payload in an appropriate way (from characters to bytes).

Note make sure your Tokenizer doesn't split on the delimiter, or this won't work

See Also:
  `PayloadEncoder`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`static char` `DEFAULT_DELIMITER`
`protected char` `delimiter`
`protected PayloadEncoder` `encoder`
`protected org.apache.lucene.analysis.tokenattributes.PayloadAttribute` `payAtt`
`protected org.apache.lucene.analysis.tokenattributes.TermAttribute` `termAtt`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`protected` `DelimitedPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input)` Construct a token stream filtering the given input.
`` `DelimitedPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input, char delimiter, PayloadEncoder encoder)`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DELIMITER

    public static final char DEFAULT_DELIMITER

See Also:
  Constant Field Values

### delimiter

    protected char delimiter

### termAtt

    protected org.apache.lucene.analysis.tokenattributes.TermAttribute termAtt

### payAtt

    protected org.apache.lucene.analysis.tokenattributes.PayloadAttribute payAtt

### encoder

    protected PayloadEncoder encoder

Constructor Detail

### DelimitedPayloadTokenFilter

    protected DelimitedPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input)

  Construct a token stream filtering the given input.

### DelimitedPayloadTokenFilter

    public DelimitedPayloadTokenFilter(org.apache.lucene.analysis.TokenStream input,
                                       char delimiter,
                                       PayloadEncoder encoder)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws java.io.IOException

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.